function log = platoon_deterministic_pass30(~)


HA = PLAD01();
        
dim=10;

options.R0 = zonotope(zeros(dim,1)); %initial state for reachability analysis
options.x0 = center(options.R0); %initial state for simulation

%other
options.tStart=0; %start time
options.tFinal=20; %final time
options.originContained = 0;
options.timeStep = 0.02; 
options.startLoc = 1;
options.finalLoc = -1;
%options.timeStep = 0.005; 

options.zonotopeOrder=200; %zonotope order
options.polytopeOrder=3; %polytope order

options.taylorTerms = 4;
options.reductionTechnique = 'girard';
options.isHyperplaneMap = 0;
options.enclosureEnables = [ 3 5 ];
options.originContained = 0;
options.guardIntersect = 'polytope';

%set input:
loc = get(HA,'location');

B = [0 ; 1; 0; 0; 0; 0; 0; 0; 0; 0 ];

u = interval(-9,1); %[-9,1]
U = B*zonotope(u);

nrOfLoc = length(loc);
for i=1:nrOfLoc
    options.uLoc{i} = 0; % input for simulation
    options.uLocTrans{i} = 0; % input center for reachability analysis
    options.Uloc{i} = zonotope(0); % input deviation for reachability analysis
    options.timeStepLoc{i} = 0.02;
end

reacha = 1;
vis = 1;

% Reachability ------------------------------------------------------------
if reacha
    tic;
    [HA] = reach(HA,options);
    reachabilityT = toc;
    disp(['Time needed for reachability analysis: ', num2str(reachabilityT)]);

    % Verification --------------------------------------------------------
    
    Rset = get(HA, 'reachableSet');
    Rset = Rset.OT;
    
    time = reachabilityT; % + verificationT;
    disp(['Time needed for reachability analysis: ', num2str(time)]);

% 
% Verification code goes here - since we cannot compute reachability at this time, verification will be added once this is possible    
% 

% Visualization -------------------------------------------------------
if vis    
       figure 
    
    hold on
    options.projectedDimensions = [1 2];

    options.plotType = 'b';
    plot(HA,'reachableSet',options); %plot reachable set
    plotFilled(options.R0,options.projectedDimensions,'w','EdgeColor','k'); %plot initial set
    xlabel('t');
    ylabel('x1');
    xlim([0 options.tFinal]);
    %ylim([0 0.025]);
end
end


end
